LibreOffice: theWindowStateConfiguration Singleton Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
theWindowStateConfiguration Singleton Reference

a singleton which provides window based information about user interface elements. More...

`import"theWindowStateConfiguration.idl";`

Inheritance diagram for theWindowStateConfiguration:

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a singleton which provides window based information about user interface elements.

OpenOffice.org has an amount of user interface elements that can be positioned, resized, closed and their style can be changed. This singleton provides access to the window based information of available user interface elements which are part of OpenOffice.org modules, like Writer or Calc.

Provides access to window based information about user interface elements of all installed application modules.

To access the window based information of a module, a unique module specifier must be provided to com::sun::star::container::XNameAccess::getByName() function. The module specifier can be retrieved from the com::sun::star::frame::ModuleManager service. The interface provides references to a com::sun:star::ui::ModuleWindowStateConfiguration.

Prior to LibreOffice 4.3, this singleton was only available as a (single-instance) WindowStateConfiguration service.

See also
  com::sun::star::frame::ModuleManager

Since
  LibreOffice 4.3

The documentation for this singleton was generated from the following file:

- com/sun/star/ui/theWindowStateConfiguration.idl